<?php

function get_msgs() {
    $msgs = array();
    foreach (glob(sapp_include_path() . 'locale.*.php') AS $locale_filepath)
        include_once($locale_filepath);
    return $msgs;
}


function msg($name, $locale = null)
{
    static $msgs;
    static $def_locale;

    if (!isset($msgs))
        $msgs = get_msgs();

    if (!isset($def_locale)) {
        $def_locale = $msgs['default'];
    }

    if (null == $locale)
        $locale = sapp_get_locale();

    if (!isset($msgs[$locale])) {
        $locale = $def_locale;
    }

    if (isset($msgs[$locale][$name]))
        return $msgs[$locale][$name];
    elseif (isset($msgs[$def_locale][$name]))
        return $msgs[$def_locale][$name];
    else
        return $name;
}


function get_theme()
{
    return array (	
        "classic" => msg("classic"),
        "eyeball" => msg("eyeball"),
        "fruity" => msg("fruity"),
        "hardwired" => msg("hardwired"),
        "igames" => msg("igames"),
        "mac_ox_x" => msg("mac_ox_x"),
        "project_vii" => msg("project_vii"),
        "rainy_day" => msg("rainy_day"),
        "styleguide" => msg("styleguide"),
        "water_drop" => msg("water_drop"),

    );
}
					function get_lang()
{
    return array (
	"arabic" => msg("arabic"),
	"czech" => msg("czech"),
	"german-utf-8" => msg("german-utf-8"),
	"latvian" => msg("latvian"),
	"slovenian" => msg("slovenian"),
	"arabic-utf-8" => msg("arabic-utf-8"),
	"czech-utf-8" => msg("czech-utf-8"),
	"greek" => msg("greek"),
	"latvian-utf-8" => msg("latvian-utf-8"),
	"slovenian-utf-8" => msg("slovenian-utf-8"),
	"basque" => msg("basque"),
	"danish" => msg("danish"),
	"greek-utf-8" => msg("greek-utf-8"),
	"malay" => msg("malay"),
	"spanish" => msg("spanish"),
	"basque-utf-8" => msg("basque-utf-8"),
	"danish-utf-8" => msg("danish-utf-8"),
	"hebrew" => msg("hebrew"),
	"malay-utf-8" => msg("malay-utf-8"),
	"spanish-utf-8" => msg("spanish-utf-8"),
	"brazilian_portuguese" => msg("brazilian_portuguese"),
	"dutch" => msg("dutch"),
	"hebrew-utf-8" => msg("hebrew-utf-8"),
	"norwegian" => msg("norwegian"),
	"swedish" => msg("swedish"),
	"brazilian_portuguese-utf-8" => msg("brazilian_portuguese-utf-8"),
	"dutch-utf-8" => msg("dutch-utf-8"),
	"hungarian" => msg("hungarian"),
	"norwegian-utf-8" => msg("norwegian-utf-8"),
	"swedish-utf-8" => msg("swedish-utf-8"),
	"bulgarian" => msg("bulgarian"),
	"english" => msg("english"),
	"hungarian-utf-8" => msg("hungarian-utf-8"),
	"persian-utf-8" => msg("persian-utf-8"),
	"thai" => msg("thai"),
	"bulgarian-utf-8" => msg("bulgarian-utf-8"),
	"english-utf-8" => msg("english-utf-8"),
	"indonesian" => msg("indonesian"),
	"polish" => msg("polish"),
	"thai-utf-8" => msg("thai-utf-8"),
	"catalan" => msg("catalan"),
	"estonian" => msg("estonian"),
	"indonesian-utf-8" => msg("indonesian-utf-8"),
	"polish-utf-8" => msg("polish-utf-8"),
	"turkish" => msg("turkish"),
	"catalan-utf-8" => msg("catalan-utf-8"),
	"estonian-utf-8" => msg("estonian-utf-8"),
	"italian2" => msg("italian2"),
	"romanian_no_diacritics" => msg("romanian_no_diacritics"),
	"turkish-utf-8" => msg("turkish-utf-8"),
	"chinese_big5" => msg("chinese_big5"),
	"finnish" => msg("finnish"),
	"italian2-utf-8" => msg("italian2-utf-8"),
	"romanian_no_diacritics-utf-8" => msg("romanian_no_diacritics-utf-8"),
	"uighur" => msg("uighur"),
	"chinese_big5-utf-8" => msg("chinese_big5-utf-8"),
	"finnish-utf-8" => msg("finnish-utf-8"),
	"italian" => msg("italian"),
	"romanian" => msg("romanian"),
	"uighur-utf-8" => msg("uighur-utf-8"),
	"chinese_gb" => msg("chinese_gb"),
	"french" => msg("french"),
	"italian-utf-8" => msg("italian-utf-8"),
	"romanian-utf-8" => msg("romanian-utf-8"),
	"vietnamese" => msg("vietnamese"),
	"chinese_gb-utf-8" => msg("chinese_gb-utf-8"),
	"french-utf-8" => msg("french-utf-8"),
	"japanese" => msg("japanese"),
	"russian" => msg("russian"),
	"vietnamese-utf-8" => msg("vietnamese-utf-8"),
	"croatian" => msg("croatian"),
	"german" => msg("german"),
	"japanese-utf-8" => msg("japanese-utf-8"),
	"russian-utf-8" => msg("russian-utf-8"),
	"welsh" => msg("welsh"),
	"croatian-utf-8" => msg("croatian-utf-8"),
	"german_sie" => msg("german_sie"),
	"kurdish" => msg("kurdish"),
	"slovak" => msg("slovak"),
	"welsh-utf-8" => msg("welsh-utf-8"),
	"german_sie-utf-8" => msg("german_sie-utf-8"),
	"kurdish-utf-8" => msg("kurdish-utf-8"),
	"slovak-utf-8" => msg("slovak-utf-8"),

    );
}
									    

?>